package com.qmth.teachcloud.common.enums;

import java.util.ArrayList;
import java.util.List;

/**
 * 模板-分类
 *
 * @Date: 2021/3/23.
 */
public enum ClassifyEnum {

//    CARD("通卡"),
    SIGN("签到表"),
    PACKAGE("卷袋贴"),
    CHECK_IN("登记表");

    ClassifyEnum(String name) {
        this.name = name;
    }

    private String name;

    public String getName() {
        return name;
    }

    /**
     * @return
     */
    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<EnumResult>();
        for (ClassifyEnum value : ClassifyEnum.values()) {
            EnumResult result = new EnumResult();
            result.setCode(value.name());
            result.setName(value.getName());
            result.setOrdinal(value.ordinal());
            list.add(result);
        }
        return list;
    }

}
